org.apache.commons.jelly.impl

## Class ExpressionAttribute

- java.lang.Object
- - org.apache.commons.jelly.impl.ExpressionAttribute

    public class ExpressionAttribute
    extends Object

Attribute as an expression of `TagScript`.

See Also:
  `TagScript`

### Field Summary

Fields
`Expression` `exp`
`String` `name` Local name of this attribute.
`String` `nsURI`
`String` `prefix`

### Constructor Summary

Constructors
Constructor and Description
`ExpressionAttribute(String name, Expression exp)`
`ExpressionAttribute(String name, String prefix, String nsURI, Expression exp)`

### Method Summary

Methods
`String` `qname()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    public String name

Local name of this attribute.

#### prefix

    public String prefix

#### nsURI

    public String nsURI

#### exp

    public Expression exp

### Constructor Detail

#### ExpressionAttribute

    public ExpressionAttribute(String name,
                       Expression exp)

#### ExpressionAttribute

    public ExpressionAttribute(String name,
                       String prefix,
                       String nsURI,
                       Expression exp)

### Method Detail

#### qname

    public String qname()